Bug 708497 - Printer Applet->Settings->Printer Configuration does not ask for root privileges
Printer Applet->Settings->Printer Configuration does not ask for root privileges
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 15:56 EDT by Guilherme D. da Fonseca
Modified: 2012-08-07 14:59 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guilherme D. da Fonseca 2011-05-27 15:56:01 EDT
Description of problem: Actions that need root privileges on system-config-printer fail instead of asking for root privileges.

Steps to Reproduce:
1. On kde, open system-config-printer either from the kde menu (not from system setting applications) or from the system tray printer applet Settings -> Printer Configuration... menu.
2. Eeither click New Printer -> Add Network Printer or try to change some option of an installed printer.
  
Actual results: A window pops up saying: There was an error during CUPS operation: 'client-error-forbidden'.

Expected results: The application should request root privileges, either at startup or when the action that needs privileges is performed.

Additional info: If I open system-config-printer through kde System Settings, I am prompted for root password immediately and everything works.
Comment 1 Jiri Popelka 2011-05-30 06:00:07 EDT
I see it also with system-config-printer-kde-4.6.3-1.fc14.

Opening via 'System Settings' asks (see bug #652272) for root password
but via 'Printer Applet' -> 'Settings' -> 'Printer Configuration ...' doesn't.
Comment 2 Kevin Kofler 2011-05-30 13:04:56 EDT
Uh, Jaroslav, system-config-printer is in kdeadmin, not kdeutils (only the kdeutils-printer-applet is in kdeutils), why did you change the component?
Comment 3 Jiri Popelka 2011-05-31 05:07:49 EDT
Well, because I was thinking the problem is in kdeutils-printer-applet.
Go ahead and reassign it to proper component.
Comment 4 collura 2011-06-01 20:45:33 EDT
error happens in x86_64 as well
Comment 5 Kevin Kofler 2011-06-01 21:10:14 EDT
We know. It's not architecture-specific in any way.
Comment 6 William 2012-06-22 03:13:59 EDT
Hello, still happens in Fedora 17, with a sligh difference for me.
It does not happen when launching the Kde "Printer panel" from "System settings".

When launching directly, it does not prompts for password and the message is now
"There was an error during the CUPS operation: 'cups-authorization-cancelled'.".

I send this follow up since no one posted on this but it seems for many distros.
Bye
Comment 7 Fedora End Of Life 2012-08-07 14:59:43 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.